bootstrap.sh oddities

Mike Frysinger <[email protected]>
Newsgroups gmane.comp.gnu.utils.bugs
Organization wh0rd.org
Message-ID <[email protected]>
seems like bootstrap.sh and bootstrap.sh.in are out of sync.  the latter 
refers to mkostemp.c while the former uses mkstemp.c.

as for having a .in at all, seems like it's just for the PACKAGE/VERSION 
strings.  seems like it'd be simpler to just define those to dummy bootstrap 
strings and drop the bootstrap.sh completely ?

at any rate, running ./bootstrap.sh currently fails:
$ ./bootstrap.sh
+ rm -f 'lib/*.o' 'sed/*.o' sed/sed
+ cd lib
+ cp alloca.in.h alloca.h
cp: cannot stat `alloca.in.h': No such file or directory
+ exit 1
-mike
signature.asc (application/pgp-signature, 836 B)
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (GNU/Linux)

iQIcBAABAgAGBQJPYlLDAAoJEEFjO5/oN/WB74kP/1AuHTKuSz0nkgb0MMEh1xyH
r6yo00O9VoB1x5q806DXlrKEOmVodqfGpp8seZqJ73UDTkfQfF3r73OcXvIgz5vA
zhQ+gksuYvOaCtpyJbKV6BpTDCtiRnJKb2LCSVQ+s+GVlo2mWSr91nhduXUZcCzg
UDTNasTWh/fvfiWjx+dHPkfdbarRISD9XCkfK9jodReQ7cRlzHupsiaZKuDVCs3p
w9RD16cwm+x6fuCDu/xUEGPWpC3r/DrINP4VLifCm7Ir0pUOGrf9asuetz4Z/SQ4
gtZChsEzYu4cI2Pbk9VmyBnVVIhxBEzrNOjurnbSzo8UJRlA9+3DIf+a00KSYf6/
XdqqCohwbwLhXNg1YDB0YHl54U36JE/BG3ZXk+wbtvDoGbVZGsm7GJI4rbD9+uG7
HyeO3MmmtwUAchgwGK4EFDu2Vxo1zJ/pXfxNCFRO2Q3qWzHLfaoJanVl5uP2AFAY
dQzaHRmfJcIuhNOkFlBcXjgIxMPU0QGDrN0yGmg16rAiHH79ldES90KG5KKbYKkj
5TP6mMcG8PFc51BsVYqsOlyJ5fUrTTU1lWnHtqcTiPmmA45QFO6qOWUPeE4H+JGX
Tu9gaXXPk2Y8oNEemRLaqapca5qBn2HCX+BZDi1dj8pgm/31Kw7LmWf0ijpQCtfw
RaxU/PHt//rbt4Uut6DE
=D36i
-----END PGP SIGNATURE-----
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.